Subject: Re: linux-next: Signed-off-by missing for commits in the pinctrl tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 16 Jul 2018 18:29:44 +1000

Hi Linus,

On Mon, 16 Jul 2018 09:52:44 +0200 Linus Walleij <[email-masked]> wrote:
>
> On Mon, Jul 16, 2018 at 12:10 AM Stephen Rothwell <[email-masked]> wrote:
> 
> > Commits
> >
> >   bc319333c156 ("pinctrl: sh-pfc: r8a77965: Add HSCIF pins, groups, and functions")
> >   99500c6a4836 ("pinctrl: sh-pfc: r8a77990: Revise USB ID pin name")
> >   3d3c62d3458a ("pinctrl: sh-pfc: r8a77990: Add USB2.0 pins, groups and functions")
> >   1e0f13198edf ("pinctrl: sh-pfc: r8a77990: Add USB3.0 pins, groups and functions")
> >
> > are missing a Signed-off-by from their committer.  
> 
> I am looking at this and I just feel confused. Top to bottom:
> 
  ...
> 
> This is very confusing, it looks correct to me.
> 
> As usual it must be some minor syntactic thing like a character missing or
> something, I am just soo.... what's wrong here, really?

In the tree I fetched this morning, those commits are all committed by
you, but you did not add a Signed-off-by to then.  This usually happens
when you rebase a branch/tree.

$ git show --pretty=full bc319333c156
Author: Takeshi Kihara <[email-masked]>
Commit: Linus Walleij <[email-masked]>

    pinctrl: sh-pfc: r8a77965: Add HSCIF pins, groups, and functions
    
    This patch adds HSCIF{0,1,2,3,4} pins, groups and functions to
    the R8A77965 SoC.
    
    Signed-off-by: Takeshi Kihara <[email-masked]>
    Signed-off-by: Geert Uytterhoeven <[email-masked]>

...
-- 
Cheers,
Stephen Rothwell